﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" class="concept">
    <head>
        <link href="../Resources/TableStyles/Nested-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Roles Configurations</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1><a name="top"></a>Roles Configurations</h1>
        <p>Use the&#160;<strong>Roles</strong>&#160;option to manage the configuration settings for creating roles (Enterprise, Application, or Emergency Access).&#160;The configuration settings specified in&#160;<strong>Global Configuration</strong>&#160;control the&#160;availability of options in the Roles page and&#160;define the&#160;actions to perform such as approve or deny role creation requests, specify dynamic attributes, workflow settings, and email notification templates to use.&#160;&#160;</p>
        <div class="table-wrap">
            <table class="TableStyle-Nested-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Nested-Table.css');" cellspacing="0">
                <col style="width: 22.1734%;" class="TableStyle-Nested-Table-Column-Column1" />
                <col style="width: 77.8266%;" class="TableStyle-Nested-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Nested-Table-Head-Header1">
                        <th class="TableStyle-Nested-Table-HeadE-Column1-Header1">Parameter</th>
                        <th class="TableStyle-Nested-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td class="TableStyle-Nested-Table-BodyD-Column1-Body1" colspan="2">
                            <p class="table-text"><strong>MANAGEMENT</strong>
                            </p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Request Approve Comment Mandatory</p>
                        </td>
                        <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Select this parameter to enforce entering comments while approving a request.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Approve Comment Mandatory</p>
                        </td>
                        <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Select this parameter to enforce entering comments while&#160;approving requests for roles.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Show Account tab for Entitlement Based Role</p>
                        </td>
                        <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Select this parameter to display the Account tab if the requested role has entitlements associated with it.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Reject Comment Mandatory</p>
                        </td>
                        <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Select this parameter to enforce entering comments while&#160;rejecting a request.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Role modification auto approve</p>
                        </td>
                        <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Select this parameter to automatically&#160;approve modifications made to an existing role.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Role Modification Workflow</p>
                        </td>
                        <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Choose a workflow to use for approving requests for updating or deleting a role. IGA roles map to groups in the target applications.&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Roles Remove Workflow</p>
                        </td>
                        <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Choose a workflow for removing an existing role.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Roles Add Workflow</p>
                        </td>
                        <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Choose appropriate work flow for adding a new role.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Role Sent for Approval Request Template</p>
                        </td>
                        <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Choose an email template to send an automated email notification to the role approver for approving&#160;a role requested by an end user.&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Update Role Request Template</p>
                        </td>
                        <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Choose an email template to send an automated email notification to the role approver for approving the changes&#160;made to the role or entitlement request.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Role Owner Assignment Template</p>
                        </td>
                        <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Choose an email template to send an automated email notification to a user when the user is assigned the role owner role.&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Role Owner Removal Template</p>
                        </td>
                        <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Choose an email template to send an automated email notification to a user when the role&#160;owner role is revoked for the user.&#160;</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Ent Owner Notification</p>
                        </td>
                        <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Choose an email template to send an automated email notification to a user when the user is assigned the entitlement owner role.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">AD Group Management Connection</p>
                        </td>
                        <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Select <strong style="color: rgb(23,43,77);">AD Connection</strong>&#160;for creating or modifying the Enabler role for performing Active Directory&#160;group management tasks.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Roles Owners Query</p>
                        </td>
                        <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Select this parameter to control the availability of role owners in a role. Based on the query specified, only the filtered role owners matching the query are added as role owners.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Mandatory Fields While Update</p>
                        </td>
                        <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Use this parameter to select one or multiple fields that must be specified while updating a role.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Role default approver</p>
                        </td>
                        <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Use this parameter to select a user from the list of users as the default approver of role requests.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td class="TableStyle-Nested-Table-BodyD-Column1-Body1" colspan="2">
                            <p class="table-text"><strong>SETTINGS</strong>
                            </p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Export Content</p>
                        </td>
                        <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Select this parameter to export the content of the Role such as entitlements, entitlement owners, etc.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Readonly Role</p>
                        </td>
                        <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p style="text-align: left;" class="table-text">Select this parameter&#160;to make a role available only in the read-only mode.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Export Membership</p>
                        </td>
                        <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Select this parameter&#160;to export users along with their membership.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Show Non-Requestable Roles</p>
                        </td>
                        <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p style="text-align: left;" class="table-text">Select this parameter&#160;to display non-requestable roles on the ARS home page and if an action can be taken on that role. For example, delete a role if the beneficiary&#160;already has the role.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Show Delete Role Button</p>
                        </td>
                        <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Select this parameter to display the&#160;<strong style="text-align: left;">Delete Role</strong>&#160;button in the Roles List page. This button is used for deleting roles.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Role Export CSV File Location</p>
                        </td>
                        <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Select this parameter to specify the default location for role related .csv file exports. Save the exported file after providing the path on your local drive.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Do you need comments to be mandatory for rejecting a rule?(First row as heading)</p>
                        </td>
                        <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Select this parameter to enforce the role approver to enter comments while rejecting a role. When selected,&#160;the first row&#160;is made as the heading row in the exported file for role.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Template Used after Role Export</p>
                        </td>
                        <td colspan="1" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Select the email template to trigger the email notification after the roles are successfully exported.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="1" class="TableStyle-Nested-Table-BodyB-Column1-Body1">
                            <p class="table-text">Roles list only show status</p>
                        </td>
                        <td colspan="1" class="TableStyle-Nested-Table-BodyA-Column1-Body1">
                            <p style="text-align: left;" class="table-text">Select this parameter to display the default status of roles in the Roles List page. The options are:</p>
                            <ul class="ak-ul" style="text-align: left;">
                                <li>
                                    <p><strong>Active: </strong>Always displays active roles.</p>
                                </li>
                                <li>
                                    <p><strong>Composing: </strong>Displays roles that are in the composing state.</p>
                                </li>
                                <li>
                                    <p><strong>Pending</strong>  &#160;<strong>Approval: </strong>Displays roles that are in pending approval state.</p>
                                </li>
                                <li>
                                    <p><strong>Decommission: </strong>Displays roles that have been decommissioned.</p>
                                </li>
                                <li>
                                    <p><strong>Mining: </strong>Displays roles that are in mining state.</p>
                                </li>
                            </ul>
                            <p class="table-text">It accepts multiple options.</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </body>
</html>